"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const transformUtils_1 = require("./transformUtils");
const pathUtils_1 = require("./pathUtils");
const urlRE = /(url\(\s*['"]?)([^"')]+)(["']?\s*\))/;
function rewriteCssUrls(css, replacerOrBase) {
    let replacer;
    if (typeof replacerOrBase === 'string') {
        replacer = (rawUrl) => {
            return path_1.default.posix.resolve(path_1.default.posix.dirname(replacerOrBase), rawUrl);
        };
    }
    else {
        replacer = replacerOrBase;
    }
    return transformUtils_1.asyncReplace(css, urlRE, async (match) => {
        const [matched, before, rawUrl, after] = match;
        if (pathUtils_1.isExternalUrl(rawUrl) || rawUrl.startsWith('data:')) {
            return matched;
        }
        return before + (await replacer(rawUrl)) + after;
    });
}
exports.rewriteCssUrls = rewriteCssUrls;
//# sourceMappingURL=cssUtils.js.map